﻿/*
■保存フォーマットをweb用gifにして保存するスクリプト  v190804
 　　必須スクリプト
        Lib_generalMethod.jsx

　▼構造前提条件
*/
#include "Lib_generalMethod.jsx"  

//ドキュメントの各種定義
var docObj = activeDocument;//ドキュメント
var docNamePsd = docObj.name;//ドキュメント名
var docName = docNamePsd.substring( 0, docNamePsd.length-4 );//拡張子抜き
var newName = docName;
var newPath = docObj.path + "/" ;//ドキュメントパス
docObj.activeLayer = docObj.layers[0];//active化
const DEF = {
    formatPng:"png",
    formatJpg:"jpg",
    formatTga:"tga",
    formatPsd:"psd",
    formatWebPng:"web　png",
    formatWebJpg:"web　jpg",
    formatWebGif:"web gif",
};
var saveFormat = "webGif";
/*
    beginning phase
*/
Act_CreateFolder("Export");//フォルダの作成
newPath = newPath + "Export/";
try{
    app.activeDocument.suspendHistory("script：Run_ExportSaveWebGif", "SavePsd()");
}    
catch(e){
alert("info("+e+")");
}
/*
    end phase
*/
activeDocument.close(SaveOptions.DONOTSAVECHANGES);
//関数：psdを各フォーマットへ保存
function SavePsd(){
    Save_Branch(saveFormat);
}